<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019b098f-d770-7042-abff-3c194ad52cfd,g:06ae7b0f-868a-4486-b97c-bd14c2a1595f-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_aut_InterestPaidOtherThanLeaseLiabilitiesClassifiedAsFinancingActivities_label_en" xlink:label="lab_aut_InterestPaidOtherThanLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest Paid Other Than Lease Liabilities Classified As Financing Activities</link:label>
    <link:label id="lab_aut_InterestPaidOtherThanLeaseLiabilitiesClassifiedAsFinancingActivities_documentation_en" xlink:label="lab_aut_InterestPaidOtherThanLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Interest Paid Other Than Lease Liabilities Classified As Financing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_aut_InterestPaidOtherThanLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:href="aut-2025-12-31.xsd#aut_InterestPaidOtherThanLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_aut_InterestPaidOtherThanLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="lab_aut_InterestPaidOtherThanLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_aut_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities_label_en" xlink:label="lab_aut_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest Paid On Lease Liabilities Classified As Financing Activities</link:label>
    <link:label id="lab_aut_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities_documentation_en" xlink:label="lab_aut_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Interest Paid On Lease Liabilities Classified As Financing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_aut_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:href="aut-2025-12-31.xsd#aut_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_aut_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="lab_aut_InterestPaidOnLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss_019b098f-d771-77ff-9ec1-5007549076b9_negatedLabel_en" xlink:label="lab_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Foreign exchange gain (loss)</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss" xlink:to="lab_ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_019b098f-d771-78be-a61e-b9719462fd0b_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_019b098f-d771-7127-884f-4909ddb43754_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_aut_RetainedEarningsAndOtherReserves_label_en" xlink:label="lab_aut_RetainedEarningsAndOtherReserves" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Retained Earnings And Other Reserves</link:label>
    <link:label id="lab_aut_RetainedEarningsAndOtherReserves_documentation_en" xlink:label="lab_aut_RetainedEarningsAndOtherReserves" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">RetainedEarningsAndOtherReserves</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_aut_RetainedEarningsAndOtherReserves" xlink:href="aut-2025-12-31.xsd#aut_RetainedEarningsAndOtherReserves"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_aut_RetainedEarningsAndOtherReserves" xlink:to="lab_aut_RetainedEarningsAndOtherReserves" xlink:type="arc" order="1"/>
    <link:label id="lab_aut_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities_label_en" xlink:label="lab_aut_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments For Provisions And Adjustments For Increase Decrease In Other Liabilities</link:label>
    <link:label id="lab_aut_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities_documentation_en" xlink:label="lab_aut_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">Adjustments For Provisions And Adjustments For Increase Decrease In Other Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_aut_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:href="aut-2025-12-31.xsd#aut_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_aut_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:to="lab_aut_AdjustmentsForProvisionsAndAdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_019b098f-d771-712b-bee3-4a040865a44e_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash flows from (used in) operating activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations_label_en" xlink:label="lab_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other Comprehensive Income Net Of Tax Exchange Differences On Translation Of Foreign Operations</link:label>
    <link:label id="lab_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations_documentation_en" xlink:label="lab_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" xlink:href="aut-2025-12-31.xsd#aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" xlink:to="lab_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_019b098f-d771-78df-a21e-426ff851809c_totalLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Increase (decrease) in cash and cash equivalents before effect of exchange rate changes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="arc" order="1"/>
    <link:label id="lab_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfParent_label_en" xlink:label="lab_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfParent" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other Comprehensive Income Net Of Tax Exchange Differences On Translation Of Parent</link:label>
    <link:label id="lab_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfParent_documentation_en" xlink:label="lab_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfParent" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en">OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfParent</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfParent" xlink:href="aut-2025-12-31.xsd#aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfParent"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfParent" xlink:to="lab_aut_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfParent" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
